/*
 1.2   

  A  B      ,     
1  N           
 :  A    (     ),  
    ,      ,    
        (.   1),   
.  B   ,         ,
             
  ,    .    ,   
  ,    ,    . 

  GAME.EXE,     A    , 
  B.       ,    A  ,
    .         
      .      
N < 100              A, B  O
(  ,  N ),        
 1, 2, 3, ..., N.  A ,    ,      
   A     ,  B ,  
      B,   O ,       .
 N        .      
     ,     A    .


 1.  N = 9,   A  ,      
  :  9 OOOOOOOOO. 

 2.   A   ,    ,   
       B  9 BABAOOBAB,     ,  
   ,          2,        8.

          ,     
,         B.    
   .         , 
   .           ,
    .

   10 .,         0 .     
    .        0 . 




  

   A,        
  ,        . 
  B,       ,  
  .    A      
     B,    .

     ,     A.   
   (    )     
           ,   
        -     .
       .
*/


/*
NAME: Ivan Anev
PROG: game
LANG: C
*/

#include <stdio.h>

#define MAXN 128

int n, ans;
char s[MAXN];
int a[MAXN];

void readf(void);
void solve(void);
void writef(void);

int main(void) {
	readf();
	solve();
	writef();

	return 0;
}

void readf(void) {
	scanf("%d%s", &n, s);
}

void solve(void) {
	int i, j, best, wb, cc;

	for (i = 1; i <= n; ++i)
		a[i] = ((s[i-1] == 'O') ? 0 : 1);
	best = -1;
	for (i = 2; i <= n; i += 2) {
		if (a[i] == 0) {
			cc = 0;
			for (j = 1; j < i; ++j)
				if (i % j == 0 && a[j] == 0)
					if (j % 2)
						++cc;
					else
						--cc;
			if (cc > best) {
				wb = i;
				best = cc;
			}
		}
	}

	ans = wb;
}

void writef(void) {
	printf("%d\n", ans);
}
